use "/Users/allazaytseva/Downloads/data2901-Russia (2).dta"
sum clsize read
hist clsize
hist read 
rename speak_test~e speak_test
gen speak_home = 0 if speak_test!=.
replace speak_home=1 if speak_test>2
gen location_over500 = 0 if school_location!=.
replace location_over500 = 1 if school_location > 3
gen pct_vanskelig=0 if pct_disadv!=.
replace pct_vanskelig=1 if pct_disadv>2
sum girl not_born speak_home par_not_born teacher_exp schoolsize4 pct_vanskelig location_over500

use "/Users/allazaytseva/Downloads/data2901-USA (2).dta"
sum clsize read
hist clsize
hist read 
rename speak_test~e speak_test
gen speak_home = 0 if speak_test!=.
replace speak_home=1 if speak_test>2
gen location_over500 = 0 if school_location!=.
replace location_over500 = 1 if school_location > 3
gen pct_vanskelig=0 if pct_disadv!=.
replace pct_vanskelig=1 if pct_disadv>2
sum girl not_born speak_home par_not_born teacher_exp schoolsize4 pct_vanskelig location_over500

use "/Users/allazaytseva/Downloads/data2901-Russia (2).dta"
append using "/Users/allazaytseva/Downloads/data2901-USA (2).dta"
gen Russia = 0
replace Russia = 1 if idcntry==643
gen clsize_Rus = clsize*Russia
rename speak_test~e speak_test
gen speak_home = 0 if speak_test!=.
replace speak_home=1 if speak_test>2
gen location_over500 = 0 if school_location!=.
replace location_over500 = 1 if school_location > 3
gen pct_vanskelig=0 if pct_disadv!=.
replace pct_vanskelig=1 if pct_disadv>2

reg read clsize Russia clsize_Rus
reg read clsize Russia clsize_Rus girl
reg read clsize Russia clsize_Rus girl not_born speak_home par_not_born
reg read clsize Russia clsize_Rus girl not_born speak_home par_not_born teacher_exp
reg read clsize Russia clsize_Rus girl not_born speak_home par_not_born teacher_exp pct_vanskelig location_over500 schoolsize4

eststo: reg read clsize Russia clsize_Rus 
esttab using 111.rtf, r2 se nostar replace
reg read clsize Russia clsize_Rus girl 
eststo: reg read clsize Russia clsize_Rus girl 
esttab using 112.rtf, r2 se nostar replace
reg read clsize Russia clsize_Rus girl not_born speak_home par_not_born
eststo: reg read clsize Russia clsize_Rus girl not_born speak_home par_not_born
esttab using 113.rtf, r2 se nostar replace
reg read clsize Russia clsize_Rus girl not_born speak_home par_not_born teacher_exp
eststo: reg read clsize Russia clsize_Rus girl not_born speak_home par_not_born teacher_exp
esttab using 114.rtf, r2 se nostar replace
eststo: reg read clsize Russia clsize_Rus girl not_born speak_home par_not_born teacher_exp pct_vanskelig location_over500 schoolsize4
esttab using 115.rtf, r2 se nostar replace

use "/Users/allazaytseva/Downloads/data2901-USA (2).dta"
rename speak_test~e speak_test
gen speak_home = 0 if speak_test!=.
replace speak_home=1 if speak_test>2
gen location_over500 = 0 if school_location!=.
replace location_over500 = 1 if school_location > 3
gen pct_vanskelig=0 if pct_disadv!=.
replace pct_vanskelig=1 if pct_disadv>2
gen clsize_sq=clsize^2
reg read clsize girl not_born speak_home par_not_born teacher_exp pct_vanskelig location_over500 schoolsize4 clsize_sq
reg read clsize girl not_born speak_home par_not_born teacher_exp pct_vanskelig location_over500 schoolsize4

use "/Users/allazaytseva/Downloads/data2901-Russia (2).dta"
rename speak_test~e speak_test
gen speak_home = 0 if speak_test!=.
replace speak_home=1 if speak_test>2
gen location_over500 = 0 if school_location!=.
replace location_over500 = 1 if school_location > 3
gen pct_vanskelig=0 if pct_disadv!=.
replace pct_vanskelig=1 if pct_disadv>2
gen clsize_sq=clsize^2
reg read clsize girl not_born speak_home par_not_born teacher_exp pct_vanskelig location_over500 schoolsize4 clsize_sq
gen par_edu1=0 if par_edu!=.
replace par_edu1=1 if par_edu>1
gen early_ability3=0 if early_ability!=.
replace early_ability3=1 if early_ability > 2
reg read clsize girl not_born speak_home par_not_born early_ability3 par_edu1 clsize_sq








